## Apache Zeta Components Manual :: Docs For Class ezcCacheStorageMemoryRegisterStruct

### Cache::ezcCacheStorageMemoryRegisterStruct

### Class ezcCacheStorageMemoryRegisterStruct

Defines an APC Register structure.

Source for this file: /Cache/src/structs/memory_register.php

    ezcBaseStruct
       |
       --ezcCacheStorageMemoryRegisterStruct

Version: | //autogentag//

### Member Variables

public array(mixed) | `$attributes` Holds the attributes of an entry in the registry.
public string | `$id` Holds the ID of an entry in the registry.
public string | `$identifier` Holds the identifier of an entry in the registry.
public string | `$location` Holds the location of the cache.

### Method Summary

public ezcCacheStorageMemoryRegisterStruct | `__construct( $id , $attributes , $identifier , $location )` Constructs a new ezcCacheStorageMemoryRegisterStruct.

### Methods

#### __construct

ezcCacheStorageMemoryRegisterStruct __construct( string $id , array(mixed) $attributes , string $identifier , mixed $location )

Constructs a new ezcCacheStorageMemoryRegisterStruct.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$id` | string |
`$attributes` | array(mixed) |
`$identifier` | string |
`$location` | mixed |

Documentation generated by phpDocumentor 1.4.3